# Generated by Django 4.1.9 on 2023-08-09 11:15

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("ims_student_registration", "0002_registration_id_to_registration_no"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="batchstudent",
            name="course_student",
        ),
        migrations.RemoveField(
            model_name="coursestudent",
            name="id",
        ),
        migrations.AddField(
            model_name="batchstudent",
            name="registration",
            field=models.ForeignKey(
                default=1,
                on_delete=django.db.models.deletion.CASCADE,
                to="ims_student_registration.studentregistration",
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="coursestudent",
            name="registration",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE,
                primary_key=True,
                serialize=False,
                to="ims_student_registration.studentregistration",
            ),
        ),
        migrations.AlterField(
            model_name="studentregistration",
            name="status",
            field=models.CharField(
                choices=[
                    ("ap", "applied"),
                    ("pr", "approved"),
                    ("en", "enrolled"),
                    ("co", "completed"),
                    ("di", "discontinued"),
                    ("de", "deregistered"),
                ],
                default="ap",
                max_length=2,
            ),
        ),
    ]
